Package org.springframework.http.server

# Interface ServerHttpAsyncRequestControl

All Known Implementing Classes:
  `ServletServerHttpAsyncRequestControl`

public interface ServerHttpAsyncRequestControl
A control that can put the processing of an HTTP request in asynchronous mode during which the response remains open until explicitly closed.

Since:
  4.0
Author:
  Rossen Stoyanchev

## Method Summary

Modifier and Type
Method
Description
`void`
`complete()`
Mark asynchronous request processing as completed.
`boolean`
`isCompleted()`
Return whether asynchronous request processing has been completed.
`boolean`
`isStarted()`
Return whether asynchronous request processing has been started.
`void`
`start()`
Enable asynchronous processing after which the response remains open until a call to `complete()` is made or the server times out the request.
`void`
`start(long timeout)`
A variation on `start()` that allows specifying a timeout value to use for asynchronous processing.

## Method Details

### start

void start()
Enable asynchronous processing after which the response remains open until a call to `complete()` is made or the server times out the request. Once enabled, additional calls to this method are ignored.

### start

void start(long timeout)
A variation on `start()` that allows specifying a timeout value to use for asynchronous processing. If `complete()` is not called within the specified value, the request times out.

### isStarted

boolean isStarted()
Return whether asynchronous request processing has been started.

### complete

void complete()
Mark asynchronous request processing as completed.

### isCompleted

boolean isCompleted()
Return whether asynchronous request processing has been completed.